package shapes;

public class Point {
	// Attributes
	private int x;
	private int y;
	
	// Constructor
	public Point(int newx, int newy){
		x = newx;
		y = newy;
	}

	// Methods
	public void translate(int dx, int dy){
		x += dx;
		y += dy;
	}
	
	public void translate(Point p2){
		translate(p2.x,p2.y);
	}
	
	public double distance(Point p2){
		int xdiff = x-p2.x;
		int ydiff = y-p2.y;
		return Math.sqrt(xdiff*xdiff + ydiff*ydiff);
	}
	
	public String toString(){
		return "("+x+","+y+")";
	}

	
	// Getters
	public int getX(){
		return x;
	}
	
	public int getY(){
		return y;
	}
	
	// Setters
	public void setX(int newX){
		x=newX;
	}
	
	public void setY(int newY){
		y=newY;
	}

}
